GNU bug report logs - #45756
Prepending '+' to the recipe line when linking with GCC's -flto=jobserver

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: debbugs.gnu.org; Reported by: "R. Diez" <rdiezmail-temp2@HIDDEN>; dated Sun, 10 Jan 2021 06:27:02 UTC; Maintainer for debbugs.gnu.org is help-debbugs@HIDDEN.

Message received at 45756 <at> debbugs.gnu.org:


Received: (at 45756) by debbugs.gnu.org; 13 Jan 2021 12:15:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 13 07:15:17 2021
Received: from localhost ([127.0.0.1]:34578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kzf3V-0005G7-JP
	for submit <at> debbugs.gnu.org; Wed, 13 Jan 2021 07:15:17 -0500
Received: from sonic309-24.consmr.mail.ir2.yahoo.com ([77.238.179.82]:42202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ruben10post@HIDDEN>) id 1kzf3S-0005Fg-Qs
 for 45756 <at> debbugs.gnu.org; Wed, 13 Jan 2021 07:15:16 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1610540108; bh=1/DAwYRjQ3Vl+rHIwFJ/7OsOGZP2wtMB3WOla+UHFTw=;
 h=To:From:Subject:Date:References:From:Subject:Reply-To;
 b=dptsTDUOlFsRtobHjU2g/9abGZZ/lz+SstQCfc96zXRl9ezEoMwB3dtkDNvQPEVHLTV+PLHze35YLo6zveClkv+1oqjEk5BPXtY07Jez3rH7nkGysYLLZJmygCXBlyHoMrxLU5kHHiKRo24+xsrr5KGw86U+pBld1cA8ikARg9D8R2LVMUyDLkVs1GYaROZGG5pbieyuKcaFjFwHaGQ7QDLQg1J5xuya5g2btrnn5HDhjCv05k5VDt20COthu8UaRWGbGu47ziN46596kMK9AMS1p8WO6aLL1BzuJYCRGB9qUyynvCp0fv9O1X0S5h3KoHpaYkKjHo5UtTtxJLfuhQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1610540108; bh=xJ/ygAY3j6175MObIsEmdOE+iO+7rpeP4NRgTDcSsiM=;
 h=To:From:Subject:Date:From:Subject:Reply-To;
 b=aDcIuZvMb37sqiREUtGm0Vr9PKjxjLpb2iD+Tv8lmB8pAsCHhh0OGScOyjoNFFhd67hJhmCVNHXnWIO+C6dgjDKIKo7YSUt6Y5nWBmIMPh49o+HZ94ReUhuv+Mdng+tMR3TIvdt+vw+l5t5efvOCwN29dJ/aiDNn/EtiG67XWGmtsopAVWeOBFykwtGWGLF6BNqX3rV1T1Nk4pEk1dlGrlkeX9xXiRVXb/B2r/xjO3SMlHAq5QRe9YXmuxcS+NaYvltChmGQT5u1GcGUF3gt/x2JEXuPqv2H9wyGkZmr7o2BobtnPF6BRQc+ePmS+7wKD6qijBq3yIEdhw0koepnIg==
X-YMail-OSG: F4sdctsVM1n0qS4rx_nhM6fXF2wV19dFe.X.Jc4FMina7BI8ZMj7qkerKGKLyt0
 9ZHNh4yAw_E3CxFoAKJCu8CWPqP9cDOCRs7kCpUohI9CQ3_kvw0d5XRfamaTRU.jJif.nZf2hJY.
 OWxQb9x_KtRxkO.nqXRxMQ0iJjlwib4CTY9Wo42ZrGsqzaqFbnXAB7UMxLJ2nmdwRwesXX6imc03
 Fnwe6C5DvH9GrT7zjuskBLlp18rHfviLG2ux4BFWC2mjzWe6tY5MAYHNg7SUvtspGioVCaFaF8Nk
 0gJpgNbNlgslnj.LqXDBK8WP8hjBVetUyYf7RgaV5dQVyXwL4qbCZUmVx7ZUAAlEDIKP7ZxwRKDt
 4JV4g1cXS8rw1Zg41RqKk5aoI9dCSV.tzcs0HEYJyJfpqDMDLdpqtSVqujhTjGg6y6iKwhKWUWDO
 QK8mxt6ujcsvp.4Cyc1SvkEkEic4E59kkB_ogO1I2xVpgognx.Nu9RcCu6k.g5GxUP7v0N0gIRf8
 c4OU7UIO67epCNTO6qVH4JJM1.TscwCkSRpG1bMBlAzBAlB3HuiopAdIZwQkpAcVs5qQHlSeV57U
 YF6zcCQDav7kJGR1OAeHrxmWq.4QSgdgWjNBVWKftEVFDgFxSezIlugsavCWD3lncvttiaKbqRIw
 L0WkhKaozkyz5jcNPKuPU1z7ndoq6BIGcxvHLU0eEXc0G0syJzKPY5A.W1sCfMVmuwGv339cyGvj
 NgZtgev9ImXUfKvVdOH2MAQsc5EBqYvn5ZBM7nGWuqyyhEdd5KwReiGlgCc9opwfrC4ItHcuwU3q
 SXTFNyNa8OSMXyIiIb6gnPebbXUdeGEMMaf4UJuPzX9F4L164GzwyMvdxMk1ClcLXZcs_wd7VgT8
 xG4eLCNMR8Lbz3eibKB9LCuHckzr9q2P9nXg9JvsxAr5.SaXRkFosCHVsKE0hSc8MbLgOwkTP_HL
 Zc.Sqw5vH5MxunYQg1qlh671cNxJW5LU7khOwsvzyQD9K4S05MnOXwpeuHi2MU8qcC1FfRHPk1lt
 IT_hvEaVzgmNJVYvL.VjQ.f5Kem0bgIWQ9PGFYhVBObM2GPkcg8n7365cne6uZ1.lQxwcp0cMVpG
 aqELpC5hESdQl1E51Yf8HFh54iI9pXUOainB1iJDJ6Z6YaptMZJYXqkP78ov_iKXjz_WcCdi60FX
 2Vb6o.BkThQ4aTsWKhM3O9ro7EbTRNb5xU8QKLM8ylgDqGb8.gDwrnaCuDQeBZ8nNcLcdXRCS74z
 g4G2KhJ9ufkSGgdY..IkVMiI9wKFQa1cZ_RU2YtZvioVavfvQzRyaOpdsFX8HSJILT1hizz4t8AA
 _5FVRNHvwZGPVSfVccpkHWo9zcmrTUiuItK2n452GjRASqQ370lgJpxnOhSx9WqJvkSB4DBC5OZb
 jitnnPXX9Rw9DSmQLttQ0Mo632Dq8NJyr2TalsGhjq1tTpLe1CNVe7ZW6LeKDgjFaVBgc7rpcuUW
 WXJsrw2zewfIhjjkZybALcTzEzM87ReTBTqTA_fzppImvDLPkswQdONHzekIx7rrXukUeuN9t186
 e9jTTde5n6cvABaYTeipZMPKv0vz_fJfjqTEF19BTb_oObeDM0tW_B_.2C5pKKI17GPwNlP1p.mX
 .2x.tnR7YAbkW2Ec5s6QCu0m.UPExYABm5TqkUjsZtfx.ThxWQ5ifehQegypiK3t_.mfgvrbgX4H
 d2XWdmanD0Yjn4vMuV7PzEpRUtCIQDPvAMqP0c84p1szbHSfwtPqnE_IsMChRepFdEql9RKaCudB
 zL4esGAVgJhlUwjQRBvhhqHaUl4Z10IAKS5sMlxz1X134UvZ83jJ8ckOJGs4xiT.W6igb8xPMqFH
 JF1qHhC0hsxMLDRI_rkcpzAWSrqlYK0swRgwHSSZSI_L4zkMCP2IG3jgIE5qhcVn5cfb8Ro3aDHn
 tgantH7ZXnnkiUMPhUbznsfvgaLmqnJ_4oY6p4H46ZAEVh8gwc95IBr2tcrMT.mcUp8LlDHlsUWI
 A3rPKWz_VzSMkwfj.B0N69XzhG3tUWL296svPfdZKHgj5vNdtJUZ02JatM9aijvMDHBsBLmd0b0W
 i.mkTCGAFkb18W5smg1K77wKjuTQ7NLaxCuggFkPbAi_vVOh1NPMPwwvk9YYHAleiSkgTYywf3xo
 0J6KtgP7HVvW1MYHtp9acMUamc.r6rN2E5bL.nmrluEDgUvDvQ8narT0QtfB74IkbBgPHaxkZWF7
 7Ps6iJp.rNipNJgzR7MBp25fHOlm7BO1SbAjfZwOAJ6erCbyQ50QApjxvWNLXJP67pY8jWS3BPrT
 AEdrxhXTmNH6.isjmOyZ7AdwycAULPnGVaLckgYWV34jHqMct2XL5rd14azqBHu1ZbzRiSMKJNNB
 OJ5WYUXG4Ka75W8Xf6hZXsrVfpcVJ2moljvpi3nxsGzFC
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic309.consmr.mail.ir2.yahoo.com with HTTP; Wed, 13 Jan 2021 12:15:08 +0000
Received: by smtp404.mail.ir2.yahoo.com (VZM Hermes SMTP Server) with ESMTPA
 ID 9e28acbe8a5784852d3226920b0e8fc0; 
 Wed, 13 Jan 2021 12:15:05 +0000 (UTC)
To: 45756 <at> debbugs.gnu.org
From: "R. Diez" <rdiezmail-temp2@HIDDEN>
Subject: Always prepend '+' to the recipe line
Message-ID: <a3e8fe6d-9894-a84d-1ee3-13181db1ce59@HIDDEN>
Date: Wed, 13 Jan 2021 13:15:03 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
References: <a3e8fe6d-9894-a84d-1ee3-13181db1ce59.ref@HIDDEN>
X-Mailer: WebService/1.1.17501
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
 Apache-HttpAsyncClient/4.1.4 (Java/11.0.8)
Content-Length: 822
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 45756
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is not just an issue while linking. Any stage, including compilation of a single object file, could use the GNU Make jobs server. So 
there should be a global option in Autoconf or Automake to prepend a '+' to all generated rules.

In fact, you would have thought that this should be the default, because any tool, at any stage, could decide in the future to go 
multithread, and there is no reason to ignore an existing GNU Make job server to limit the overall system load.

Beware that you cannot test this issue well with GCC at the moment, because GCC option -flto=jobserver will not issue any warning if the 
file descriptors are not available. I reported this a while ago, and it got fixed, but the target GCC version is 11, which has not been 
released yet:

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=94330




Information forwarded to help-debbugs@HIDDEN:
bug#45756; Package debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Jan 2021 06:26:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 10 01:26:21 2021
Received: from localhost ([127.0.0.1]:53011 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kyUB9-0005D4-4T
	for submit <at> debbugs.gnu.org; Sun, 10 Jan 2021 01:26:21 -0500
Received: from lists.gnu.org ([209.51.188.17]:44428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <karl@HIDDEN>) id 1kyQ7O-0007G3-BR
 for submit <at> debbugs.gnu.org; Sat, 09 Jan 2021 21:06:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:33834)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <karl@HIDDEN>)
 id 1kyQ7O-0003gG-7T
 for bug-automake@HIDDEN; Sat, 09 Jan 2021 21:06:10 -0500
Received: from freefriends.org ([96.88.95.60]:57520)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <karl@HIDDEN>)
 id 1kyQ7K-0005An-0K
 for bug-automake@HIDDEN; Sat, 09 Jan 2021 21:06:08 -0500
Received: from freefriends.org (freefriends.org [96.88.95.60])
 by freefriends.org (8.14.7/8.14.7) with ESMTP id 10A262xB015647
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=NOT); 
 Sat, 9 Jan 2021 19:06:03 -0700
Received: (from apache@localhost)
 by freefriends.org (8.14.7/8.14.7/Submit) id 10A262ar015642;
 Sat, 9 Jan 2021 19:06:02 -0700
Resent-Date: Sat, 9 Jan 2021 19:06:02 -0700
Resent-From: Karl Berry <karl@HIDDEN>
Resent-Message-Id: <202101100206.10A262ar015642@HIDDEN>
Resent-To: bug-automake@HIDDEN
X-Envelope-From: automake-bounces+karl=freefriends.org@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.de; s=s2048;
 t=1582040827; bh=OK4gp11SSHp/8U8C0q0IfTddL8HZcpg2ZKMiLZ0jHkw=;
 h=To:From:Subject:Date:References:From:Subject;
 b=PT7QsSdHEnKfrtKee/+lpy89KSgpjDAi0+ODdgI9MsAIwSWt/Z9fC0aNtI/ymUBgWhvguC9JizZK+gR+cLAyflfbj0VMokw3uhlANZJW3WjZMiTdPii99mquCXPuSUL1IdcdTISCAvcYG6xHlKAMaK7bD4H1MFYW27tUCy/q7QdIMOh7YlNcxoszA9hAGoooxEnYm2exG3pX+hl/z9rnQpFVTvoB0I+3+UD79bBn9sjE6MdEgBarmKfTGe9v/sJqBLFpqgxfE7qdWeaJsGeOiGUOAmh3f5ulNDhrPMWGHH8lE9WJTHKPSHR6CjcZspg5PYnaqy0bb/f9nysThz0S2A==
X-YMail-OSG: rrBj1pwVM1lm2UULsFZXj06CeLMJYVgJs79bLcZ6EvQfYPq_ekkbUV6PS7EZgS0
 K3yjJTl3QAzD8cdIucsIvwutEBy676QXe7PeGpnFeajbEfGx1b1uQUEpknreDyDbKvqVZllcMlUO
 URngL829A9nwIvQ1sB0AKHg99adeDw3lMvvPPyfkdvNoK1CxpcuuvZQ2bLNVPLMrttpOuCgE9ODt
 1._r1G87CAE.8L_f7c1EubGpVafn0FhLqgZjzKmHEeXvMkRBez4Cumka5VGLHdF8_XfAGucDyKSO
 XoqI2mfdMj2ECNkKhtxyVAA8Z7zknqLB7wsZIRhvDCWv6tzOezrtcUpMEAQqYKW9vbx6lkaSH5ce
 gucXZ.roKTj8T_AL5LTpUaOsUno3lO9IkJ2V6ddCI0xiCjdFzph7.Q8GUdxKs37q9eOc00iymysI
 VkZIxM0_1sNGrLcXMIsYqn7q8_4hiqyAnz0aFD4n87OqdWfR7MZgh8ruaxPGjIrodCdmacuyKP4u
 C4gihqQ29LC_kxPTWtzN49G.Lu4Y2bipAbjFa2tlMFTqmBdMu1tDMebV..Ha3l34ZMjCjp86pIGm
 xvBHjypbwtZ51Mys5v90Pb1PPRxiAbgiTkMespLDmpZwbt5cBvLAkUcm8Nl.GjFrPJV44fKsYlXF
 6oHCVF5CJ2cBv34xwmJ5O.iHGMUJegKfpQsgFtCeW4ym6OMPG2.Sg9JG2VnS83GXCf6fg_4Lz3Yf
 j6jPpYnHF34yWdy76PwtzRSpRDEoNJnCUpBXmil4qp11jYqe0qWJo14UICGMBOzX41LPhFBxm3gz
 _fw_8lIwngjtqGewiMdgga2fC86QkLYkLPiaykfJCx5FljLaje.2Yb2fvdVWcmUUdywV0vs3PxPw
 AUiXG6pEYrYqJQLN3zOpZ6CvTwVsZS2lDdMv4lAtHXZj.bg33RrNHtr0aWHnK_jDTpTCJFKY1nTC
 LQd6DQM4DMTBjUsqJumX__AvwutkAyLyXSDtm_eu6iNm2FCnIHH_mcxqh4xbnkgDJLOWUC9a9T.l
 _Ao4VrZ.qJ841OQylqFypwrmi1z1O1U_WDR9a77JILOXWHEyfOfKo65oWJM8fc.9WbDt2MvlbSUr
 VJg4ya6caU7zHn5kG62tmGoC6g8vMz9GYCzHJOFS3dgJ0gytXxJQTL5H6f8uufm8wbVETXJtQR4t
 flpzUQPgQOr6kJ_QUQxvZh2.Iv5OFhcvuHlvIrcHfOij54aCQUXDCQnMQJnXJkmA7_AmVUp2Ui3P
 bKjnt03IbQtJ2wTDraIY.y0eGDMCIc_SLsKOBsMk0D6InqFesEUYeTeXbAVKNDwf74OrBywRemb_
 KdMA3Am_.YLQ8.SMzkpYge1mOvTTvlJY3jt6ZlL7hR60zkxVQiUidVY2urpACWEzXtu_JrCuenHK
 2GkCKAhPUCfHhWfAntp2tHRqxckNcSfT8Mbw-
Message-ID: <670366fc-a125-55cd-7908-c36087f54c3f@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.4.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 7bit
References: <670366fc-a125-55cd-7908-c36087f54c3f.ref@HIDDEN>
X-Mailer: WebService/1.1.15199 hermes Apache-HttpAsyncClient/4.1.4
 (Java/1.8.0_181)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-Received-From: 77.238.177.82
X-Mailman-Approved-At: Tue, 18 Feb 2020 11:05:31 -0500
X-BeenThere: automake@HIDDEN
X-Mailman-Version: 2.1.23
Precedence: list
Date: Tue, 18 Feb 2020 16:47:05 +0100
From: "R. Diez" <rdiezmail-temp2@HIDDEN>
To: automake@HIDDEN
Subject: Prepending '+' to the recipe line when linking with GCC's
 -flto=jobserver
Received-SPF: pass client-ip=96.88.95.60; envelope-from=karl@HIDDEN;
 helo=freefriends.org
X-Spam_score_int: -47
X-Spam_score: -4.8
X-Spam_bar: ----
X-Spam_report: (-4.8 / 5.0 requ) BAYES_00=-1.9, DKIM_ADSP_CUSTOM_MED=0.001,
 DKIM_INVALID=0.1, DKIM_SIGNED=0.1, HEADER_FROM_DIFFERENT_DOMAINS=0.25,
 MAILING_LIST_MULTI=-1, RCVD_IN_DNSWL_MED=-2.3, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 10 Jan 2021 01:26:13 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

[Resending to bug-automake for tracking. --karl]

Hi all:

I am developing firmware similar to this one:

https://github.com/rdiez/JtagDue

First, I am building a GCC 8.3.0 cross-compiler toolchain for ARM
Cortex-M4F on Ubuntu 18.04.4 LTS, and I am then using it to build some
embedded software with a cross-compiling Autoconf project.

GCC introduced some time ago option -flto=jobserver in order to use the
GNU Make jobserver when parallelising LTO builds.

I am actually building many such Autoconf projects from a top-level
makefile, so using the top-level jobserver prevents overloading the
system with too many parallel jobs. That is what the jobserver was
designed for.

When doing a recursive make, you need to place a '+' character at the
beginning of the recipe line in order to let GNU Make pass the jobserver
file descriptors to the child processes. Alternatively, if you reference
variable $(MAKE) inside the recipe like, you get the same
effect. Otherwise, GNU Make does not let child processes inherit those
file descriptors (or so I heard, probably with "close fd on exec").

In my top-level makefile, I added those '+' prefixes manually, so all
Autoconf-generated makefiles are building in parallel but using the
top-level jobserver.

The trouble is, invoking GCC in the linking phase with -flto=jobserver
is actually a similar "recursive make" situation: GCC needs to inherit
those jobserver file descriptors.

However, Autoconf/Automake does not generate that '+' prefix for the
linking recipe.

Is there a way to overcome this limitation?

This will probably become a general issue in the future, as each stage
could theoretically benefit from multi-core CPUs. See for example:

https://gcc.gnu.org/wiki/ParallelGcc

Thanks in advance,
   rdiez




Acknowledgement sent to "R. Diez" <rdiezmail-temp2@HIDDEN>:
New bug report received and forwarded. Copy sent to help-debbugs@HIDDEN. Full text available.
Report forwarded to help-debbugs@HIDDEN:
bug#45756; Package debbugs.gnu.org. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Jan 2021 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.